<template>
    <Page actionBarHidden="true">
        <ScrollView>
            <StackLayout>
                <GridLayout>
                    <Image width="350px" height="154,5px" marginTop="100px"
                        marginBottom="200px"
                        src="~/assets/images/logo.png"
                        stretch="aspectFill" />
                </GridLayout>
                <GridLayout>
                    <Label text="Veuillez évaluer la qualité " class="lab" />
                </GridLayout>
                <GridLayout>
                    <Label text="de notre service." class="lab" />
                </GridLayout>
                <GridLayout columns="*,*,*,*,*,*,*" style="text-align: center;" marginTop="100px" marginBottom="120px">
					<Label col="1" :text=" 'fa-star' | fonticon" class="fa st" @tap="star(1)" :color="valCol1" />
                    <Label col="2" :text=" 'fa-star' | fonticon" class="fa st" @tap="star(2)" :color="valCol2"/>
                    <Label col="3" :text=" 'fa-star' | fonticon" class="fa st" @tap="star(3)" :color="valCol3"/>
                    <Label col="4" :text=" 'fa-star' | fonticon" class="fa st" @tap="star(4)" :color="valCol4"/>
                    <Label col="5" :text=" 'fa-star' | fonticon" class="fa st" @tap="star(5)" :color="valCol5"/>
                </GridLayout>
                <GridLayout>
                    <Button text="Soumettre" @tap="$router.push('/ratecomment', {rate: rate})" class="but" />
                </GridLayout>
            </StackLayout>
        </ScrollView>
    </Page>
</template>

<script>
//    import Comment from "./Ratecomment";
    export default {
        methods: {
            star(args) {
                this.numCol = args;
                this.rate.note = args;
                this.rate.total = 5;
                 console.log(this.numCol);

                switch(args)
                {
                    case 1:
                        this.valCol1 = '#ffcb3f'; 
                        this.valCol2 = '#ebebeb'; 
                        this.valCol3 = '#ebebeb'; 
                        this.valCol4 = '#ebebeb'; 
                        this.valCol5 = '#ebebeb'; 
                    break;

                    case 2:
                        this.valCol1 = '#ffcb3f'; 
                        this.valCol2 = '#ffcb3f'; 
                        this.valCol3 = '#ebebeb'; 
                        this.valCol4 = '#ebebeb'; 
                        this.valCol5 = '#ebebeb'; 
                    break;

                    case 3:
                        this.valCol1 = '#ffcb3f'; 
                        this.valCol2 = '#ffcb3f'; 
                        this.valCol3 = '#ffcb3f'; 
                        this.valCol4 = '#ebebeb'; 
                        this.valCol5 = '#ebebeb'; 
                    break;

                    case 4:
                        this.valCol1 = '#ffcb3f'; 
                        this.valCol2 = '#ffcb3f'; 
                        this.valCol3 = '#ffcb3f'; 
                        this.valCol4 = '#ffcb3f'; 
                        this.valCol5 = '#ebebeb'; 
                    break;

                    case 5:
                        this.valCol1 = '#ffcb3f'; 
                        this.valCol2 = '#ffcb3f'; 
                        this.valCol3 = '#ffcb3f'; 
                        this.valCol4 = '#ffcb3f'; 
                        this.valCol5 = '#ffcb3f'; 
                    break;

                    default:
                        this.valCol1 = '#ebebeb'; 
                        this.valCol2 = '#ebebeb'; 
                        this.valCol3 = '#ebebeb'; 
                        this.valCol4 = '#ebebeb'; 
                        this.valCol5 = '#ebebeb'; 
                    
                }

            },
        },
        data() {
            return {
                numCol: 0,
                valCol1: '#ebebeb',
                valCol2: '#ebebeb',
                valCol3: '#ebebeb',
                valCol4: '#ebebeb',
                valCol5: '#ebebeb',
            }
        },
        props: ['rate'],
        mounted(){
         console.dir(this.rate);

        }
    };
</script>

<style scoped>
    .lab {
        text-align: center;
        font-size: 25px;
        color: #727272;
    }

    .lab2 {
        text-align: center;
        font-size: 20px;
        color: #727272;
    }

    .star {
        margin: 160px 0px 110px 0px;
        text-align: center;
    }

    .but {
        border-radius: 200px;
        width: 500px;
        height: 150px;
        font-size: 22px;
        color: #FFFFFF;
        border-color: #FFFF00;
    }

    .st {
        font-size: 46px;
    }
</style>